Code development platform for open source projects from the European Union institutions

Skip to content
Snippets Groups Projects
Commit f1f61323 authored by Joze RIHTARSIC's avatar Joze RIHTARSIC
Browse files

Pull request #218: EDELIVERY-9439 docker create welogic cluster environment...

Pull request #218: EDELIVERY-9439 docker create welogic cluster environment for the smp testing with ssl

Merge in EDELIVERY/smp from EDELIVERY-9439-docker-create-welogic-cluster-environment-for-the-smp-testing-with-ssl to development

* commit 'd51d5e2a9fed733bd5c75d50c8347b70ceaaedbd':
  setup weblogic 12.2c cluster environment
  set weblogic cluster
  Updates on weblogic smp image
  Update weblogic version.
parents b7d67381 87734658
No related branches found
No related tags found
No related merge requests found
Showing
with 272 additions and 79 deletions
# WebLogic oracle docker plan
WebLogic Oracle database plan starts up clustered WebLogic 12.2c environment with the Oracle 11xe or oracle 19c database.
The cluster is consisted from two nodes and the admin served. DB Connection pool and the SMP application is deployed to all
servers.
# start environment
execute bash script
./compose/weblogic-oracle/runCompose.sh
**Note**: if the Nodes are not starting (Caused By: com.rsa.jsafe.JSAFE_PaddingException: Invalid padding.). Please make sure
the notes are using the same ./smp-docker/compose/weblogic-oracle/data/smp-cluster-4.2-RC2-SNAPSHOT.jar generated from the admin server!
Restart clean node-01
docker-compose -f ./compose/weblogic-oracle/docker-compose.yml -p smp-wls-orcl up --force-recreate --no-deps smp-node-01
\ No newline at end of file
.gitignore is excluded when sharing artifacts on bamboo
http://ant.apache.org/manual/dirtasks.html
And we want this folder to be shared in order to keep the project structure.
\ No newline at end of file
# Ignore everything in this directory
..
# Except the following
!.gitignore
!.disable_default_excludes
\ No newline at end of file
.gitignore is excluded when sharing artifacts on bamboo
http://ant.apache.org/manual/dirtasks.html
And we want this folder to be shared in order to keep the project structure.
\ No newline at end of file
# Ignore everything in this directory
..
# Except the following
!.gitignore
!.disable_default_excludes
\ No newline at end of file
version: "3.0"
services:
database:
smp-oracle-db:
image: smp-oradb-${ORA_VERSION}-${ORA_EDITION}:${SMP_VERSION}
container_name: smp_oracle_db
hostname: wlsadmin
hostname: smp-database.local
environment:
- ORACLE_CHARACTERSET=AL32UTF8 # set database encoding
- NLS_LANG=.AL32UTF8 # set sqlplus encoding for stating up scripts
- NLS_LANG=.AL32UTF8 # set sqlplus encoding for starting up scripts
volumes:
- ./properties/db-scripts:/docker-entrypoint-initdb.d/startup # init script.
- ./status-folder:/u01/status/
ports:
- 1921:1521
shm_size: '1gb'
weblogic:
smp-wls-admin:
depends_on:
- smp-oracle-db
command: [bash, -c, "rm -rf /u01/status/wls-admin.started;for i in `seq 150`; do timeout 1 bash -c 'echo \" $$(ls /u01/status/)\"'; if [ -f '/u01/status/database.status' ] && [ \"$$( cat /u01/status/database.status )\" == 'DATABASE IS READY TO USE!' ] ; then break;fi; echo \"$$i. Wait for database!\"; sleep 10; done; /u01/oracle/startAdminServer.sh"]
image: smp-weblogic-122:${SMP_VERSION:-4.2-RC2-SNAPSHOT}
hostname: smp-wls-admin
environment:
- JAVA_OPTIONS="-Dweblogic.webservice.i18n.charset=utf-8"
# ports:
# - 7901:7001
volumes:
- ./properties/weblogic-init:/u01/init/
- ./data:/data
- ./status-folder:/u01/status/
smp-node-01:
# depend of the startup of the db
depends_on:
- smp-wls-admin
command: [bash, -c, "for i in `seq 200`; do timeout 1 bash -c 'echo \" $$(ls /u01/status/)\"'; if [ -f '/u01/status/wls-admin.started' ] ; then break;fi; echo \"$$i. Wait for admin server!\"; sleep 10; done; /u01/oracle/startManagedServer.sh"]
environment:
- WL_ADMIN_HOST=smp-wls-admin
- WL_MANAGED_SERV_NAME=smp-node-1
image: smp-weblogic-122:${SMP_VERSION:-4.2-RC2-SNAPSHOT}
# ports:
# - "18453:8453"
# - "18001:8001"
volumes:
- ./data:/data
- ./status-folder:/u01/status/
smp-node-02:
# depend of the startup of the db
depends_on:
- database
# command: [bash, -c, "for i in `seq 10`; do timeout 1 bash -c '</dev/tcp/database/1521'; if [ $$? -eq 0 ] ; then break;fi;sleep 1; done;"]
command: [bash, -c, "for i in `seq 150`; do timeout 1 bash -c 'echo \" $$(ls /u01/status/)\"'; if [ -f '/u01/status/database.status' ] && [ \"$$( cat /u01/status/database.status )\" == 'DATABASE IS READY TO USE!' ] ; then break;fi; echo \"$$i. Wait for database!\"; sleep 10; done; /u01/oracle/startAdminServer.sh"]
image: smp-weblogic-122:${SMP_VERSION}
container_name: wls-smp
hostname: wlsadmin
- smp-wls-admin
command: [bash, -c, "for i in `seq 200`; do timeout 1 bash -c 'echo \" $$(ls /u01/status/)\"'; if [ -f '/u01/status/wls-admin.started' ] ; then break;fi; echo \"$$i. Wait for admin server!\"; sleep 10; done; /u01/oracle/startManagedServer.sh"]
environment:
JAVA_OPTIONS: "-Dweblogic.webservice.i18n.charset=utf-8"
- WL_ADMIN_HOST=smp-wls-admin
- WL_MANAGED_SERV_NAME=smp-node-2
image: smp-weblogic-122:${SMP_VERSION:-4.2-RC2-SNAPSHOT}
# ports:
# - "18453:8453"
# - "18001:8001"
volumes:
- ./properties/weblogic:/u01/oracle/properties
- ./data:/data
- ./status-folder:/u01/status/
smp-httpd:
depends_on:
- smp-node-01
- smp-node-02
image: edelivery-docker.devops.tech.ec.europa.eu/domibustest/edelivery-httpd:2.4.39
environment:
- VHOST_CORNER_HOSTNAME=smp.edelivery.eu
- NODES_COUNT=2
- NODE_HOSTNAMES=smp-node-01,smp-node-02
- NODE_PORT_NUMBERS=8001,8001
ports:
- 7901:7001
volumes:
shared-status-folder:
- "7980:80"
restart: always
CREATE USER smp IDENTIFIED BY "test" DEFAULT TABLESPACE users QUOTA UNLIMITED ON users;
GRANT CREATE SESSION TO smp;
GRANT CREATE TABLE TO smp;
GRANT CREATE VIEW TO smp;
GRANT CREATE SEQUENCE TO smp;
GRANT SELECT ON PENDING_TRANS$ TO smp;
dsname=eDeliverySmpDs
dsdbname=eDeliverySmpDs
dsjndiname=jdbc/eDeliverySmpDs
dsdriver=oracle.jdbc.OracleDriver
dsurl=jdbc:oracle:thin:@//smp-oracle-db:1521/xe
dsusername=smp
dspassword=test
dstestquery=SQL SELECT 1 FROM DUAL
username=weblogic
password=Weblogic1
CLUSTER_TYPE=DYNAMIC
JAVA_OPTIONS=-Dweblogic.StdoutDebugEnabled=false
T3_CHANNEL_PORT=30012
T3_PUBLIC_ADDRESS=kubernetes
\ No newline at end of file
username=wls-smp
password=wls-pass-01
\ No newline at end of file
configuration.dir=/data/smp/security
hibernate.dialect=org.hibernate.dialect.Oracle10gDialect
datasource.jndi=jdbc/eDeliverySmpDs
authentication.blueCoat.enabled=true
smp.truststore.password={DEC}{test123}
smp.keystore.password={DEC}{test123}
log.folder=./logs/
#!/bin/bash
WORKING_DIR="$(dirname $0)"
#WORKING_DIR="$(dirname $0)"
WORKING_DIR="$(cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"
SMP_INIT_DATABASE="../../../smp-webapp/src/main/smp-setup/database-scripts/oracle10g.ddl"
#SMP_INIT_DATABASE_DATA="../../../smp-webapp/src/main/smp-setup/database-scripts/oracle10g-data.sql"
SMP_INIT_DATABASE_DATA="../../../smp-soapui-tests/groovy/oracle-4.1_integration_test_data.sql"
......@@ -19,9 +21,7 @@ ORA_SERVICE="xe"
SMP_DB_USERNAME=smp;
SMP_DB_PASSWORD=test;
# clear volume and containers - to run restart from strach
SMP_DB_SCRIPTS=./properties/db-scripts
# READ arguments
while getopts i:v: option
......@@ -47,7 +47,8 @@ echo "Working Directory: ${WORKING_DIR}"
echo "*************************************************************************"
cd "$WORKING_DIR"
echo "Create folder (if not exist) for database scripts ${SMP_DB_SCRIPTS}"
[ -d ${SMP_DB_SCRIPTS} ] || mkdir -p "${SMP_DB_SCRIPTS}"
function createDatabaseSchemaForUser() {
......@@ -74,17 +75,19 @@ function createDatabaseSchemaForUser() {
function clearOldContainers {
echo "Clear containers and volumes"
docker-compose -p "${PREFIX}" rm -s -f -v
docker volume rm "${PREFIX}_shared-status-folder"
echo "Clear container data ${WORKING_DIR}/data/"
rm -rf ${WORKING_DIR}/data/smp/config/*.*
rm -rf ${WORKING_DIR}/data/smp/security/*.*
rm -rf ${WORKING_DIR}/data/weblogic/keystores/*.*
rm -rf ${WORKING_DIR}/data/weblogic/security.properties
rm -rf ${WORKING_DIR}/data/*.jar
}
createDatabaseSchemaForUser $SMP_DB_USERNAME $SMP_DB_PASSWORD ./properties/db-scripts/01_create_user.sql
createDatabaseSchemaForUser $SMP_DB_USERNAME $SMP_DB_PASSWORD "${SMP_DB_SCRIPTS}/01_create_user.sql"
# create database init script from
echo "CONNECT smp/test@//localhost:1521/${ORA_SERVICE};" > ./properties/db-scripts/02_oracle10g.sql
cat "${SMP_INIT_DATABASE}" >> ./properties/db-scripts/02_oracle10g.sql
echo "CONNECT ${SMP_DB_USERNAME}/${SMP_DB_PASSWORD}@//localhost:1521/${ORA_SERVICE};" > "${SMP_DB_SCRIPTS}/02_oracle10g.sql"
cat "${SMP_INIT_DATABASE}" >> "${SMP_DB_SCRIPTS}/02_oracle10g.sql"
......@@ -95,8 +98,8 @@ if [ ! -f "${SMP_INIT_DATABASE_DATA}" ]
exit 1;
else
# copy artefact to docker build folder
echo "CONNECT smp/test@//localhost:1521/${ORA_SERVICE};" > ./properties/db-scripts/03_oracle10g-data.sql
cat "${SMP_INIT_DATABASE_DATA}" >> ./properties/db-scripts/03_oracle10g-data.sql
echo "CONNECT ${SMP_DB_USERNAME}/${SMP_DB_PASSWORD}@//localhost:1521/${ORA_SERVICE};" > "${SMP_DB_SCRIPTS}/03_oracle10g-data.sql"
cat "${SMP_INIT_DATABASE_DATA}" >> "${SMP_DB_SCRIPTS}/03_oracle10g-data.sql"
fi
......@@ -113,5 +116,5 @@ docker-compose -p ${PREFIX} up -d --force-recreate
# wait until service is up
for i in `seq 200`; do timeout 10 bash -c ' curl --silent --fail http://localhost:7901/smp/'; if [ $? -eq 0 ] ; then break;fi; echo "$i. Wait for weblogic to start!"; sleep 10; done;
for i in `seq 200`; do timeout 10 bash -c ' curl --silent --fail http://localhost:7980/smp/'; if [ $? -eq 0 ] ; then break;fi; echo "$i. Wait for weblogic to start!"; sleep 10; done;
.gitignore is excluded when sharing artifacts on bamboo
http://ant.apache.org/manual/dirtasks.html
And we want this folder to be shared in order to keep the project structure.
\ No newline at end of file
# Ignore everything in this directory
*
# Except the following
!.gitignore
!.disable_default_excludes
\ No newline at end of file
DATABASE IS READY TO USE!
......@@ -27,8 +27,8 @@ ORACLE_DB19_FILE="LINUX.X64_193000_db_home.zip"
ORACLE_DOCKERFILE="Dockerfile.xe"
ORACLE_DB_FILE="${ORACLE_DB11_FILE}"
SERVER_JDK_FILE="server-jre-8u211-linux-x64.tar.gz"
WEBLOGIC_122_QUICK_FILE="fmw_12.2.1.3.0_wls_quick_Disk1_1of1.zip"
SERVER_JDK_FILE="server-jre-8u333-linux-x64.tar.gz"
WEBLOGIC_122_QUICK_FILE="fmw_12.2.1.4.0_wls_quick_Disk1_1of1.zip"
SMP_VERSION=
ORACLE_ARTEFACTS="/CEF/repo"
......@@ -53,7 +53,6 @@ while getopts v:o:s:c:p: option; do
esac
done
if [[ -z "${SMP_VERSION}" ]]; then
# get version from setup file
echo "Get version from the pom: $(pwd)"
......@@ -94,12 +93,10 @@ validateAndPrepareArtefacts() {
;;
esac
export ORA_VERSION
export ORA_EDITION
export ORA_SERVICE
# check oracle database
if [[ ! -f "${ORACLE_ARTEFACTS}/Oracle/OracleDatabase/${ORA_VERSION}/${ORACLE_DB_FILE}" ]]; then
echo "Oracle database artefacts '${ORACLE_ARTEFACTS}/Oracle/OracleDatabase/${ORA_VERSION}/${ORACLE_DB_FILE}' not found."
......@@ -124,15 +121,17 @@ validateAndPrepareArtefacts() {
exit 1
else
# copy artefact to docker build folder
cp "${ORACLE_ARTEFACTS}/${WEBLOGIC_122_QUICK_FILE}" ./oracle/weblogic-12.2.1.3/
cp "${ORACLE_ARTEFACTS}/${WEBLOGIC_122_QUICK_FILE}" ./oracle/weblogic-12.2.1.4/
fi
if [[ ! -d "./tomcat-mysql-smp-sml/artefacts/" ]]; then
mkdir -p "./tomcat-mysql-smp-sml/artefacts"
fi
if [[ ! -d "./weblogic-12.2-smp/artefacts" ]]; then
mkdir -p "./weblogic-12.2-smp/artefacts"
fi
# SMP artefats
if [[ ! -f "${SMP_ARTEFACTS}/smp.war" ]]; then
echo "SMP artefact '${SMP_ARTEFACTS}/smp.war' not found. Was project built!"
......@@ -140,7 +139,7 @@ validateAndPrepareArtefacts() {
else
# copy artefact to docker build folder
# for weblogic
cp "${SMP_ARTEFACTS}/smp.war" ./weblogic-12.2.1.3-smp/smp.war
cp "${SMP_ARTEFACTS}/smp.war" ./weblogic-12.2-smp/artefacts/smp.war
# for mysql tomcat
cp "${SMP_ARTEFACTS}/smp.war" ./tomcat-mysql-smp-sml/artefacts/smp.war
fi
......@@ -151,7 +150,7 @@ validateAndPrepareArtefacts() {
exit 1
else
# copy artefact to docker build folder
cp "${SMP_ARTEFACTS}/smp-${SMP_VERSION}-setup.zip" ./weblogic-12.2.1.3-smp/smp-setup.zip
cp "${SMP_ARTEFACTS}/smp-${SMP_VERSION}-setup.zip" ./weblogic-12.2-smp/artefacts/smp-setup.zip
cp "${SMP_ARTEFACTS}/smp-${SMP_VERSION}-setup.zip" ./tomcat-mysql-smp-sml/artefacts/smp-setup.zip
fi
......@@ -174,26 +173,39 @@ buildImages() {
# -----------------------------------------------------------------------------
# oracle 1.2.0.2-xe (https://github.com/oracle/docker-images/tree/master/OracleDatabase/SingleInstance/dockerfiles/11.2.0.2)
docker build -f ./oracle/oracle-db-${ORA_VERSION}/${ORACLE_DOCKERFILE} -t "smp-oradb-${ORA_VERSION}-${ORA_EDITION}:${SMP_VERSION}" --build-arg DB_EDITION=${ORA_EDITION} ./oracle/oracle-db-${ORA_VERSION}/
if [ $? -ne 0 ]; then
echo "Error occurred while building image [smp-oradb-${ORA_VERSION}-${ORA_EDITION}:${SMP_VERSION}]!"
exit 10
fi
# -----------------------------------------------------------------------------
# build docker image for oracle database
# -----------------------------------------------------------------------------
# create docker OS image with java (https://github.com/oracle/docker-images/tree/master/OracleJava/java-8)
docker build -t oracle/serverjre:8 ./oracle/OracleJava/java-8/
if [ $? -ne 0 ]; then
echo "Error occurred while building image for oracle server-java!"
exit 10
fi
# create weblogic basic (https://github.com/oracle/docker-images/tree/master/OracleWebLogic/dockerfiles/12.2.1.3)
docker build -f ./oracle/weblogic-12.2.1.3/Dockerfile.developer -t oracle/weblogic:12.2.1.3-developer ./oracle/weblogic-12.2.1.3/
# create weblogic domain-home-in-image (https://github.com/oracle/docker-images/tree/master/OracleWebLogic/samples/12213-domain-home-in-image./)
./oracle/weblogic-12213-domain-home-in-image/container-scripts/setEnv.sh ./oracle/weblogic-12213-domain-home-in-image/properties/docker-build/domain.properties
docker build $BUILD_ARG --force-rm=true -t oracle/12213-domain-home-in-image ./oracle/weblogic-12213-domain-home-in-image/
# create weblogic basic (https://github.com/oracle/docker-images/tree/master/OracleWebLogic/dockerfiles/12.2.1.4)
docker build -f ./oracle/weblogic-12.2.1.4/Dockerfile.developer -t oracle/weblogic:12.2.1.4-developer ./oracle/weblogic-12.2.1.4/
if [ $? -ne 0 ]; then
echo "Error occurred while building image for oracle weblogic:12.2.1.4 server!"
exit 10
fi
# build SMP deployment.
docker build -t "smp-weblogic-122:${SMP_VERSION}" ./weblogic-12.2.1.3-smp/ --build-arg SMP_VERSION="$SMP_VERSION"
docker build -t "smp-weblogic-122:${SMP_VERSION}" ./weblogic-12.2-smp/ --build-arg SMP_VERSION="$SMP_VERSION"
if [ $? -ne 0 ]; then
echo "Error occurred while building image [smp-weblogic-122:${SMP_VERSION}]!"
exit 10
fi
# build tomcat mysql image deployment.
docker build -t "smp-sml-tomcat-mysql:${SMP_VERSION}" ./tomcat-mysql-smp-sml/ --build-arg SMP_VERSION=${SMP_VERSION}
if [ $? -ne 0 ]; then
echo "Error occurred while building image [smp-sml-tomcat-mysql:${SMP_VERSION}]!"
exit 10
fi
}
function pushImageToDockerhub() {
......@@ -226,11 +238,9 @@ function pushImageIfExisting() {
cleanArtefacts() {
rm "./oracle/oracle-db-${ORA_VERSION}/${ORACLE_DB_FILE}" # clean
rm "./oracle/OracleJava/java-8/${SERVER_JDK_FILE}" # clean
rm "./oracle/weblogic-12.2.1.3/${WEBLOGIC_122_QUICK_FILE}" # clean
rm "./weblogic-12.2.1.3-smp/smp.war"
rm "./weblogic-12.2.1.3-smp/smp-setup.zip"
rm "./oracle/weblogic-12.2.1.4/${WEBLOGIC_122_QUICK_FILE}" # clean
# clear also the tomcat/mysql image
rm -rf "./weblogic-12.2-smp/artefacts/*.*"
rm -rf "./tomcat-mysql-smp-sml/artefacts/*.*"
if [[ "V$SMP_ARTEFACTS_CLEAR" == "Vtrue" ]]; then
......
# LICENSE UPL 1.0
# Copyright (c) 2019, 2022 Oracle and/or its affiliates.
#
# Copyright (c) 2015 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.
#
FROM oraclelinux:7-slim
# ORACLE DOCKERFILES PROJECT
# --------------------------
# This is the Dockerfile for Oracle Server JRE 8
#
# REQUIRED FILES TO BUILD THIS IMAGE
# ----------------------------------
#
# (1) server-jre-8uXX-linux-x64.tar.gz
# Download from https://www.oracle.com/java/technologies/javase-server-jre8-downloads.html
#
# HOW TO BUILD THIS IMAGE
# -----------------------
# Put all downloaded files in the same directory as this Dockerfile
# Run:
# $ docker build -t oracle/serverjre:8 .
#
# This command is already scripted in build.sh so you can alternatively run
# $ bash build.sh
#
# The builder image will be used to uncompress the tar.gz file with the Java Runtime.
FROM oraclelinux:7-slim as builder
MAINTAINER Aurelio Garcia-Ribeyro <aurelio.garciaribeyro@oracle.com>
ENV JAVA_PKG=server-jre-8u*-linux-x64.tar.gz \
JAVA_HOME=/usr/java/default
# Since the files is compressed as tar.gz first yum install gzip and tar
RUN set -eux; \
yum install -y \
gzip \
tar \
; \
rm -rf /var/cache/yum
# Default to UTF-8 file.encoding
ENV LANG en_US.UTF-8
# Environment variables for the builder image.
# Required to validate that you are using the correct file
ENV JAVA_PKG=server-jre-8u333-linux-x64.tar.gz \
JAVA_SHA256=e6383f75665f5674deeb7e5c366fc7c6fc93e990c638c224dc68c5ec2863b763 \
JAVA_HOME=/usr/java/jdk-8
COPY $JAVA_PKG /tmp/jdk.tgz
RUN set -eux; \
echo "$JAVA_SHA256 */tmp/jdk.tgz" | sha256sum -c -; \
mkdir -p "$JAVA_HOME"; \
tar --extract --file /tmp/jdk.tgz --directory "$JAVA_HOME" --strip-components 1;
## Get a fresh version of SLIM for the final image
FROM oraclelinux:7-slim
# Default to UTF-8 file.encoding
ENV LANG en_US.UTF-8
ENV JAVA_VERSION=1.8.0_333 \
JAVA_HOME=/usr/java/jdk-8
ENV PATH $JAVA_HOME/bin:$PATH
ADD $JAVA_PKG /usr/java/
# Copy the uncompressed Java Runtime from the builder image
COPY --from=builder $JAVA_HOME $JAVA_HOME
RUN export JAVA_DIR=$(ls -1 -d /usr/java/*) && \
ln -s $JAVA_DIR /usr/java/latest && \
ln -s $JAVA_DIR /usr/java/default && \
alternatives --install /usr/bin/java java $JAVA_DIR/bin/java 20000 && \
alternatives --install /usr/bin/javac javac $JAVA_DIR/bin/javac 20000 && \
alternatives --install /usr/bin/jar jar $JAVA_DIR/bin/jar 20000
##
RUN yum -y update; \
rm -rf /var/cache/yum; \
ln -sfT "$JAVA_HOME" /usr/java/default; \
ln -sfT "$JAVA_HOME" /usr/java/latest; \
for bin in "$JAVA_HOME/bin/"*; do \
base="$(basename "$bin")"; \
[ ! -e "/usr/bin/$base" ]; \
alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; \
done; \
# -Xshare:dump will create a CDS archive to improve startup in subsequent runs
# the file will be stored as /usr/java/jdk-8/jre/lib/amd64/server/classes.jsa
# See https://docs.oracle.com/javase/8/docs/technotes/guides/vm/class-data-sharing.html
java -Xshare:dump;
\ No newline at end of file
#!/bin/sh
docker build -t oracle/serverjre:8 .
# Copyright (c) 2019, 2022 Oracle and/or its affiliates.
#
# Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.
if test "$1" = "8"
then
echo "Building Oracle Server JRE 8 on Oracle Linux 8"
docker build --file Dockerfile.8 --tag oracle/serverjre:8-oraclelinux8 .
else
echo "Building Oracle Server JRE 8 on Oracle Linux 7 slim"
docker build --tag oracle/serverjre:8 --tag oracle/serverjre:8-oraclelinux7 .
fi
username=weblogic
password=Weblogic1
# Download WebLogic Server Generic Installer 12.2.1.3
# Download WebLogic Server Quick Installer 12.2.1.4
#
# - http://www.oracle.com/technetwork/middleware/weblogic/downloads/wls-for-dev-1703574.html
#
ea1b961b8896ac2f4006921965e41ddf fmw_12.2.1.3.0_wls_Disk1_1of1.zip
8f88d91600ecb6826a91a3b72f832c6a fmw_12.2.1.4.0_wls_quick_Disk1_1of1.zip
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment